Skip to main content
GET
/
api
/
payouts
/
{id}
Check payout status
curl --request GET \
  --url https://api.stage.rocka.live/api/payouts/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "amount": 123,
  "currency": "<string>",
  "createdAt": "<string>",
  "status": "Processing",
  "iban": "<string>",
  "beneficiaryName": "<string>",
  "beneficiaryRef": "<string>",
  "requestId": "<string>"
}

Authorizations

x-api-key
string
header
required

To get your own API keys, go to the Integration tab in your Rocka Hub. Use your test (not live) credentials to make API requests from this form.

Path Parameters

id
string
required

Payout's unique ID.

Response

200 - application/json
id
string
required

This payout's unique ID in Rocka's records.

amount
number<decimal>
required

Payout amount.

currency
string
required

Payout currency.

createdAt
string
required

Date and time when the payout was registered by Rocka.

status
enum<string>
required
Available options:
Processing,
Executing,
Failed,
Done
iban
string
required

Recipient's IBAN (International Bank Account Number).

beneficiaryName
string
required

Recipient's full name.

beneficiaryRef
string
required

Bank reference, which appears on the beneficiary's bank statement once the payout arrives.

requestId
string

The payout's unique identifier (to prevent duplicate requests).